<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: router</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: router</h1>

    




<section>

<header>
    
        <h2>
            <span class="ancestors"><a href="module-routes.html">routes</a>~</span>router</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description">Express router</div>
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line20">line 20</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="~download"><span class="type-signature">(async, inner) </span>download<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that selects downloads individual ontologies
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line216">line 216</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~downloadAll"><span class="type-signature">(async, inner) </span>downloadAll<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that selects downloads all currently selected ontologies as a ZIP
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line246">line 246</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~downloadWithImports"><span class="type-signature">(async, inner) </span>downloadWithImports<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that selects downloads an ontology with all its imports as a ZIP
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line160">line 160</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~getOntolologiesStats"><span class="type-signature">(async, inner) </span>getOntolologiesStats<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that finds all storage codes based on selected filters
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line336">line 336</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~getStorageCodes"><span class="type-signature">(async, inner) </span>getStorageCodes<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that finds all storage codes based on selected filters
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line317">line 317</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~lexicalTokens"><span class="type-signature">(async, inner) </span>lexicalTokens<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that creates SQL query for Ontology Search Based on Lexical Tokens
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line27">line 27</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~ontologies"><span class="type-signature">(async, inner) </span>ontologies<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that finds all ontologies based on selected filters
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line377">line 377</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~ontologiesByStorageCodes"><span class="type-signature">(async, inner) </span>ontologiesByStorageCodes<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that finds all ontologies based on storage codes
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line401">line 401</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="~resourceFilter"><span class="type-signature">(async, inner) </span>resourceFilter<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Route that selects all distinct resources from a database
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="routes.js.html">routes.js</a>, <a href="routes.js.html#line143">line 143</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-database.html">database</a></li><li><a href="module-models.html">models</a></li><li><a href="module-routes.html">routes</a></li><li><a href="module-util.html">util</a></li></ul><h3>Namespaces</h3><ul><li><a href="module-database-db.html">db</a></li><li><a href="module-models-ontologies.html">ontologies</a></li><li><a href="module-routes-router.html">router</a></li><li><a href="module-util-filters.html">filters</a></li><li><a href="module-util-imports.html">imports</a></li><li><a href="module-util-ranges.html">ranges</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:28:06 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>